## lshw 02.19.git.2021.06.19.996aaad9c7

=== Makefile ===
PACKAGENAME = lshw
VERSION?= $(shell git describe --tags | cut -d - -f 1,2 | tr - .)
export PACKAGENAME

all clean install snapshot gui install-gui static:
	+$(MAKE) -C src $@

version.cpe: .version
	echo -n cpe:/a:ezix:$(PACKAGENAME): > $@
	cat $^ >> $@

.PHONY: $(PACKAGENAME).spec

$(PACKAGENAME).spec: $(PACKAGENAME).spec.in
	cat $^ | sed -e s/\@VERSION\@/$(VERSION)/g > $@

release: $(PACKAGENAME).spec
	git archive --prefix=$(PACKAGENAME)-$(VERSION)/ -o $(PACKAGENAME)-$(VERSION).tar HEAD
	tar --transform s!^!$(PACKAGENAME)-$(VERSION)/! -rf $(PACKAGENAME)-$(VERSION).tar $^
	gzip -f $(PACKAGENAME)-$(VERSION).tar

=== src/core/Makefile ===
PACKAGENAME?=lshw

CXX?=$(CROSS_COMPILE)c++
INCLUDES=
DEFINES=-DPREFIX=\"$(PREFIX)\" -DSBINDIR=\"$(SBINDIR)\" -DMANDIR=\"$(MANDIR)\" -DDATADIR=\"$(DATADIR)\"
CXXFLAGS?=-g -Wall $(INCLUDES) $(DEFINES) $(RPM_OPT_FLAGS)
LDFLAGS=
LDSTATIC=
LIBS=

OBJS = hw.o main.o print.o mem.o dmi.o device-tree.o cpuinfo.o osutils.o pci.o version.o cpuid.o ide.o cdrom.o pcmcia-legacy.o scsi.o s390.o disk.o spd.o network.o isapnp.o pnp.o fb.o options.o usb.o sysfs.o display.o heuristics.o parisc.o cpufreq.o partitions.o blockio.o lvm.o ideraid.o pcmcia.o volumes.o mounts.o smp.o abi.o jedec.o dump.o fat.o virtio.o vio.o nvme.o mmc.o input.o sound.o graphics.o
ifeq ($(SQLITE), 1)
	OBJS+= db.o
endif
SRCS = $(OBJS:.o=.cc)

all: lib$(PACKAGENAME).a

.cc.o:
	$(CXX) $(CXXFLAGS) -c $< -o $@

lib$(PACKAGENAME).a: $(OBJS)
	$(AR) rs $@ $^

install: all
	
clean:
	rm -f $(OBJS) lib$(PACKAGENAME).a

depend:
	@makedepend -Y $(SRCS) 2> /dev/null > /dev/null


# DO NOT DELETE

hw.o: hw.h osutils.h version.h config.h options.h heuristics.h
main.o: hw.h print.h version.h options.h mem.h dmi.h cpuinfo.h cpuid.h
main.o: device-tree.h pci.h pcmcia.h pcmcia-legacy.h ide.h scsi.h spd.h
main.o: network.h isapnp.h fb.h usb.h sysfs.h display.h parisc.h cpufreq.h
main.o: ideraid.h mounts.h smp.h abi.h s390.h virtio.h pnp.h vio.h
print.o: print.h hw.h options.h version.h osutils.h config.h
mem.o: version.h config.h mem.h hw.h sysfs.h
dmi.o: version.h config.h dmi.h hw.h osutils.h
device-tree.o: version.h device-tree.h hw.h osutils.h
cpuinfo.o: version.h cpuinfo.h hw.h osutils.h
osutils.o: version.h osutils.h
pci.o: version.h config.h pci.h hw.h osutils.h options.h
version.o: version.h config.h
cpuid.o: version.h cpuid.h hw.h
ide.o: version.h cpuinfo.h hw.h osutils.h cdrom.h disk.h heuristics.h
cdrom.o: version.h cdrom.h hw.h partitions.h
pcmcia-legacy.o: version.h pcmcia-legacy.h hw.h osutils.h
scsi.o: version.h mem.h hw.h cdrom.h disk.h osutils.h heuristics.h sysfs.h
disk.o: version.h disk.h hw.h osutils.h heuristics.h partitions.h
spd.o: version.h spd.h hw.h osutils.h
network.o: version.h config.h network.h hw.h osutils.h sysfs.h options.h
network.o: heuristics.h
isapnp.o: version.h isapnp.h hw.h pnp.h
pnp.o: version.h pnp.h hw.h sysfs.h osutils.h
fb.o: version.h fb.h hw.h
options.o: version.h options.h osutils.h
usb.o: version.h usb.h hw.h osutils.h heuristics.h options.h
sysfs.o: version.h sysfs.h hw.h osutils.h
display.o: display.h hw.h
heuristics.o: version.h sysfs.h hw.h osutils.h
parisc.o: version.h device-tree.h hw.h osutils.h heuristics.h
cpufreq.o: version.h hw.h osutils.h
partitions.o: version.h partitions.h hw.h blockio.h lvm.h volumes.h osutils.h
blockio.o: version.h blockio.h osutils.h
lvm.o: version.h lvm.h hw.h blockio.h osutils.h
ideraid.o: version.h cpuinfo.h hw.h osutils.h cdrom.h disk.h heuristics.h
pcmcia.o: version.h pcmcia.h hw.h osutils.h sysfs.h
volumes.o: version.h volumes.h hw.h blockio.h lvm.h osutils.h
mounts.o: version.h mounts.h hw.h osutils.h
smp.o: version.h smp.h hw.h osutils.h
abi.o: version.h abi.h hw.h osutils.h
jedec.o: jedec.h
s390.o: hw.h sysfs.h disk.h s390.h
virtio.o: version.h hw.h sysfs.h disk.h virtio.h
vio.o: version.h hw.h sysfs.h vio.h

=== src/gui/Makefile ===
PACKAGENAME?=lshw

CXX?=$(CROSS_COMPILE)c++
CC?=$(CROSS_COMPILE)cc
STRIP?=strip
OBJCOPY?=objcopy

DEFINES=-DPREFIX=\"$(PREFIX)\" -DSBINDIR=\"$(SBINDIR)\" -DMANDIR=\"$(MANDIR)\" -DDATADIR=\"$(DATADIR)\"
GTKINCLUDES=$(shell pkg-config gtk+-3.0 --cflags)
INCLUDES=-I../core $(GTKINCLUDES)
CXXFLAGS=-g -Wall $(INCLUDES) $(DEFINES) $(RPM_OPT_FLAGS)
ifeq ($(SQLITE), 1)
	CXXFLAGS+= -DSQLITE $(shell pkg-config --cflags sqlite3)
endif
CFLAGS=$(CXXFLAGS) -g $(DEFINES)
GTKLIBS=$(shell pkg-config gtk+-3.0 gmodule-2.0 --libs)
LIBS+=-L../core -llshw -lresolv $(GTKLIBS)
ifeq ($(SQLITE), 1)
	LIBS+= $(shell pkg-config --libs sqlite3)
endif
LDFLAGS=
ifneq ($(shell $(LD) --help 2| grep -- --as-needed), )
	LDFLAGS+= -Wl,--as-needed
endif

OBJS = gtk-lshw.o callbacks.o engine.o print-gui.o stock.o
SRCS = $(OBJS:.o=.c)

all: gtk-$(PACKAGENAME)

.cc.o:
	$(CXX) $(CXXFLAGS) -c $< -o $@

.c.o:
	$(CC) $(CFLAGS) -c $< -o $@

.PHONY: icon
icon: gtk-$(PACKAGENAME) artwork/logo.svg
	$(OBJCOPY) --add-section .icon=artwork/logo.svg gtk-$(PACKAGENAME)

interface.c: gtk-lshw.glade gtk-lshw.gladep
	glade-2 -w gtk-lshw.glade

gtk-$(PACKAGENAME): $(OBJS) ../core/liblshw.a
	$(CXX) $(LDFLAGS) -o $@ $^ $(LIBS)

install: all
	$(STRIP) gtk-$(PACKAGENAME)
	
clean:
	rm -f $(OBJS) gtk-$(PACKAGENAME) gtk-lshw.glade.bak gtk-lshw.gladep.bak callbacks.c.bak callbacks.h.bak Makefile.bak

depend:
	@makedepend -Y $(SRCS) 2> /dev/null > /dev/null


# DO NOT DELETE

gtk-lshw.o: stock.h engine.h
callbacks.o: callbacks.h support.h engine.h
stock.o: stock.h

=== debian/changelog ===
lshw (02.19.git.2021.06.19.996aaad9c7-ok6) nile; urgency=medium

  * close: #I5O0S0: Hardware Lister软件无法打开

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 16 Jul 2024 14:13:09 +0800

lshw (02.19.git.2021.06.19.996aaad9c7-ok5) nile; urgency=medium

  * update control file

 -- liuyapeng <liuyapeng@kylinos.cn>  Wed, 03 Apr 2024 15:35:34 +0800

lshw (02.19.git.2021.06.19.996aaad9c7-ok3) nile; urgency=medium

  * rebuild source for openKylin

 -- liuyapeng <liuyapeng@kylinos.cn>  Wed, 03 Apr 2024 15:24:44 +0800

=== debian/control ===
Source: lshw
Section: utils
Priority: optional
Maintainer: Openkylin Developers <packaging@lists.openkylin.top>
XSBC-Original-Maintainer: Ghe Rivero <ghe@debian.org>
Build-Depends:
 debhelper (>= 10),
 libgtk-3-dev,
 libsqlite3-dev,
Standards-Version: 3.9.4
Homepage: https://github.com/lyonel/lshw
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/lshw
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/lshw.git

Package: lshw
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 pciutils,
 usbutils,
Description: information about hardware configuration
 A small tool to provide detailed information on the hardware
 configuration of the machine. It can report exact memory
 configuration, firmware version, mainboard configuration, CPU version
 and speed, cache configuration, bus speed, etc. on DMI-capable x86
 systems, on some PowerPC machines (PowerMac G4 is known to work) and AMD64.
 .
 Information can be output in plain text, HTML or XML.

Package: lshw-gtk
Architecture: any
Depends:
 menu,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 pciutils,
 usbutils,
Description: graphical information about hardware configuration
 A small tool to provide detailed information on the hardware
 configuration of the machine. It can report exact memory
 configuration, firmware version, mainboard configuration, CPU version
 and speed, cache configuration, bus speed, etc. on DMI-capable x86
 systems, on some PowerPC machines (PowerMac G4 is known to work) and AMD64.
 .
 This package provides lshw-gtk (the GTK+ version)

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://github.com/lyonel/lshw
-include /usr/share/openstack-pkg-tools/pkgos.make

include /usr/share/dpkg/architecture.mk
ifeq ($(origin CC),default)
CC = $(DEB_HOST_GNU_TYPE)-gcc
endif
ifeq ($(origin CXX),default)
CXX = $(DEB_HOST_GNU_TYPE)-g++
endif
export PKG_CONFIG = $(DEB_HOST_GNU_TYPE)-pkg-config

CXX_DEB_FLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	export CXX_DEB_FLAGS += -O0
else
	export CXX_DEB_FLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	export INSTALL_PROGRAM += -s
endif

ifeq ($(DEB_BUILD_GNU_TYPE),alpha-linux-gnu)
	export CXX_DEB_FLAGS = -Wall -g
endif


srcdir=src

configure: configure-stamp
configure-stamp:
	dh_testdir
	#Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp patch
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) -C $(srcdir) VERSION=$(uver) core CC="$(CC)" CXX="$(CXX)"
	$(MAKE) -C $(srcdir) gui CC="$(CC)" CXX="$(CXX)"
	#/usr/bin/docbook-to-man debian/lshw.sgml > lshw.1
	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) -C $(srcdir) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/lshw.
	$(MAKE) -C $(srcdir) install DESTDIR=$(CURDIR)/debian/lshw CC="$(CC)" CXX="$(CXX)"
	$(MAKE) -C $(srcdir) install-gui DESTDIR=$(CURDIR)/debian/lshw-gtk CC="$(CC)" CXX="$(CXX)"

	# data files supplied by pciutils and usbutils
	rm -rf $(CURDIR)/debian/lshw/usr/share/lshw
	#pod2man --lax $(CURDIR)/debian/assets/lshw-gtk.pod > $(CURDIR)/debian/assets/lshw-gtk.1
	cp $(CURDIR)/debian/assets/lshw-gtk.desktop $(CURDIR)/debian/lshw-gtk/usr/share/applications/lshw-gtk.desktop
	cp $(CURDIR)/debian/assets/logo.svg $(CURDIR)/debian/lshw-gtk/usr/share/pixmaps/lshw-gtk.svg
	chmod 644 $(CURDIR)/debian/lshw/usr/share/locale/fr/LC_MESSAGES/lshw.mo

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installman
	dh_installinfo
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installman
	dh_installinfo
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure patch unpatch
